> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Response

> Delete a stored model response by ID.



## OpenAPI

````yaml https://api.edenai.run/v3/docs/openapi.json delete /v3/responses/{response_id}
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/responses/{response_id}:
    delete:
      tags:
        - Responses
      summary: Delete Response
      description: Delete a stored model response by ID.
      operationId: delete_response_v3_responses__response_id__delete
      parameters:
        - name: response_id
          in: path
          required: true
          schema:
            type: string
            title: Response Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponseObject'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthBearer: []
components:
  schemas:
    DeleteResponseObject:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: response.deleted
          title: Object
          default: response.deleted
        deleted:
          type: boolean
          title: Deleted
      type: object
      required:
        - id
        - deleted
      title: DeleteResponseObject
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthBearer:
      type: http
      scheme: bearer

````